DomainClassMarshaller (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.marshaller.json
[Java] Class DomainClassMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.IncludeExcludePropertyMarshaller
          org.codehaus.groovy.grails.web.converters.marshaller.json.DomainClassMarshaller

    public class DomainClassMarshaller
    extends IncludeExcludePropertyMarshaller

Object marshaller for domain classes to JSON

Authors:
  Siegfried Puchbauer
  Graeme Rocher

Since:
  1.1

Constructor Summary
`DomainClassMarshaller(boolean includeVersion, GrailsApplication application)`
`DomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)`

Method Summary
`protected void` | `asShortObject(java.lang.Object refObj, JSON json, GrailsDomainClassProperty idProperty, GrailsDomainClass referencedDomainClass)`
`protected java.lang.Object` | `extractValue(java.lang.Object domainObject, GrailsDomainClassProperty property)`
`boolean` | `isIncludeVersion()`
`protected boolean` | `isRenderDomainClassRelations()`
`void` | `marshalObject(java.lang.Object value, JSON json)`
`void` | `setIncludeVersion(boolean includeVersion)`
`boolean` | `supports(java.lang.Object object)`

Methods inherited from class IncludeExcludePropertyMarshaller
excludesProperty, includesProperty, shouldInclude

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DomainClassMarshaller

    public DomainClassMarshaller(boolean includeVersion, GrailsApplication application)

### DomainClassMarshaller

    public DomainClassMarshaller(boolean includeVersion, ProxyHandler proxyHandler, GrailsApplication application)

Method Detail

### asShortObject

    protected void asShortObject(java.lang.Object refObj, JSON json, GrailsDomainClassProperty idProperty, GrailsDomainClass referencedDomainClass)

### extractValue

    protected java.lang.Object extractValue(java.lang.Object domainObject, GrailsDomainClassProperty property)

### isIncludeVersion

    public boolean isIncludeVersion()

### isRenderDomainClassRelations

    protected boolean isRenderDomainClassRelations()

### marshalObject

    @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
    public void marshalObject(java.lang.Object value, JSON json)

### setIncludeVersion

    public void setIncludeVersion(boolean includeVersion)

### supports

    public boolean supports(java.lang.Object object)

Groovy Documentation